<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: Behav Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="enumloopback__adapter.html">loopback_adapter</a></li><li class="navelem"><a class="el" href="classloopback__adapter_1_1Behav.html">Behav</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Behav Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classloopback__adapter_1_1Behav-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:adff96472723c85400fbee72418f7a452"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adff96472723c85400fbee72418f7a452"></a>
<a class="el" href="classloopback__adapter_1_1Behav.html#adff96472723c85400fbee72418f7a452">PROCESS_1014</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">in_data</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">in_startofpacket</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">in_endofpacket</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">in_error</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">out_payload</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a4d5ff933139f162b34a819ae6f2fdcdc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4d5ff933139f162b34a819ae6f2fdcdc"></a>
<a class="el" href="classloopback__adapter_1_1Behav.html#a4d5ff933139f162b34a819ae6f2fdcdc">PROCESS_1015</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">fifo_fill</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">out_valid_wire</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">out_ready</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a67984391911471c7c4f6fe23d2f3f502"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a67984391911471c7c4f6fe23d2f3f502"></a>
<a class="el" href="classloopback__adapter_1_1Behav.html#a67984391911471c7c4f6fe23d2f3f502">PROCESS_1423</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">in_data</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">in_startofpacket</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">in_endofpacket</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">in_error</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">out_payload</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ad1ed63412bac8d490d80a257442e67fe"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad1ed63412bac8d490d80a257442e67fe"></a>
<a class="el" href="classloopback__adapter_1_1Behav.html#ad1ed63412bac8d490d80a257442e67fe">PROCESS_1424</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">fifo_fill</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">out_valid_wire</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">out_ready</span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Components"></a>
Components</h2></td></tr>
 <tr class="memitem:afdbfe049ba97b844cec83f51c51f0d8a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afdbfe049ba97b844cec83f51c51f0d8a"></a>
<a class="el" href="classloopback__adapter_1_1Behav.html#afdbfe049ba97b844cec83f51c51f0d8a">loopback_adapter_fifo</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="enumloopback__adapter__fifo.html">&lt;Entity loopback_adapter_fifo&gt; </a></em></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a05044575401bcdb9066832dc345a81e6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a05044575401bcdb9066832dc345a81e6"></a>
<a class="el" href="classloopback__adapter_1_1Behav.html#a05044575401bcdb9066832dc345a81e6">in_payload</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">10</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a76cb991599d37abd5768e740579a1ba7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a76cb991599d37abd5768e740579a1ba7"></a>
<a class="el" href="classloopback__adapter_1_1Behav.html#a76cb991599d37abd5768e740579a1ba7">out_payload</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">10</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a466d94d3f5aa8ac8cd614ce3d09ad179"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a466d94d3f5aa8ac8cd614ce3d09ad179"></a>
<a class="el" href="classloopback__adapter_1_1Behav.html#a466d94d3f5aa8ac8cd614ce3d09ad179">in_ready_wire</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a74bfd446840fa7b5b62fcdc5276fff07"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a74bfd446840fa7b5b62fcdc5276fff07"></a>
<a class="el" href="classloopback__adapter_1_1Behav.html#a74bfd446840fa7b5b62fcdc5276fff07">out_valid_wire</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a61bbcff7be60b8d1128b24f798b04afc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a61bbcff7be60b8d1128b24f798b04afc"></a>
<a class="el" href="classloopback__adapter_1_1Behav.html#a61bbcff7be60b8d1128b24f798b04afc">fifo_fill</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">11</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a92d951a922e62ff2edbadc5107b727e7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a92d951a922e62ff2edbadc5107b727e7"></a>
<a class="el" href="classloopback__adapter_1_1Behav.html#a92d951a922e62ff2edbadc5107b727e7">ready</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afef52651c2e107545aa0259ef491a3f4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afef52651c2e107545aa0259ef491a3f4"></a>
<a class="el" href="classloopback__adapter_1_1Behav.html#afef52651c2e107545aa0259ef491a3f4">in_err</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:a22b7f83ef44d521c229ae614083dd59c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a22b7f83ef44d521c229ae614083dd59c"></a>
<a class="el" href="classloopback__adapter_1_1Behav.html#a22b7f83ef44d521c229ae614083dd59c">u_loopback_fifo</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>loopback_adapter_fifo</b>  <em><a class="el" href="enumloopback__adapter__fifo.html">&lt;Entity loopback_adapter_fifo&gt;</a></em></td></tr>
<tr class="memitem:a22b7f83ef44d521c229ae614083dd59c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a22b7f83ef44d521c229ae614083dd59c"></a>
<a class="el" href="classloopback__adapter_1_1Behav.html#a22b7f83ef44d521c229ae614083dd59c">u_loopback_fifo</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>loopback_adapter_fifo</b>  <em><a class="el" href="enumloopback__adapter__fifo.html">&lt;Entity loopback_adapter_fifo&gt;</a></em></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="tse__rgmii__testbench_2testbench__vhdl_2models_2loopback__adapter_8vhd_source.html#l00073">73</a> of file <a class="el" href="tse__rgmii__testbench_2testbench__vhdl_2models_2loopback__adapter_8vhd_source.html">loopback_adapter.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/cores/tse_rgmii_testbench/testbench_vhdl/models/<a class="el" href="tse__rgmii__testbench_2testbench__vhdl_2models_2loopback__adapter_8vhd_source.html">loopback_adapter.vhd</a></li>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/cores/WIB_TSE_testbench/testbench_vhdl/models/<a class="el" href="WIB__TSE__testbench_2testbench__vhdl_2models_2loopback__adapter_8vhd_source.html">loopback_adapter.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:34 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
